Přihlásit
: [1]
   |   
: instalace dvdisaster  ( 2922 )
Guest
« : December 26, 2007, 02:20:19 »

Pokousim se nainstalovat tento nastroj, ale skoncil jsem u chybove hlasky "bzlib.h not found". Co je potreba zadat/doinstalovat abych proces dokoncil?

pouzivam MDV2007.1

[root@freecomp dvdisaster-0.70.4]# ./configure
Bash based configure V0.51

Build environment: Linux, using settings: linux-std

Configuring package dvdisaster, version 0.70.

Checking for gmake: yes
Checking for gcc: yes
Source directory:  /home/free/Share/dvdisaster-0.70.4
Package name:  dvdisaster-0.70.4
Installation prefix:  /usr/local
Binary directory:  /usr/local/bin
Man page directory:  /usr/local/man
Documentation directory:  /usr/share/doc
Documentation sub directory:  dvdisaster-0.70.4
Locale directory:  /usr/share/locale
Build root: none (this is what you normally want)

Looking for includes and libraries:
Gtk+ 2.x is required...
 pkg-config... works
 test compile... works
 Gtk+ version... 2.10.11

Checking for locale.h: yes
Checking for libintl.h: yes
Checking for libintl: no
Checking for libcam: no

Checking for functions and symbols...
 getopt_long: yes
 gettext: yes
 round: yes
 O_LARGEFILE in fcntl.h: yes

Checking byte order... little endian

Checking for additional tools...
 xgettext: missing
* You need to install the GNU gettext tools
* for localization support.
 [previous test forces -with-nls=no]
 gdk_pixbuf_csource: present

Additional configuration options:
 with nls: no (forced by previous tests)
 with memdebug: no
 with efence: no
 with logfile: no

Collecting source files:
 bitmap closure crc32 curve debug dvdisaster ecc-rs01 ecc-rs02 endian file galois help-dialogs icon-factory large-io main-window md5 memtrack menubar method misc preferences print-sense random read-adaptive read-adaptive-window read-linear read-linear-window rs01-common rs01-create rs01-fix rs01-verify rs01-window rs02-common rs02-create rs02-fix rs02-verify rs02-window scsi-darwin scsi-freebsd scsi-layer scsi-linux scsi-unknown scsi-win32 show-manual spiral udf welcome-window

Collecting methods:
 rs01 rs02

Configuring the tools ... Failed
Problem encountered configuring the tools:
Bash based configure V0.51

Build environment: Linux, using settings: linux-std

Configuring package pngpack, version 0.11.

Checking for gmake: yes
Checking for gcc: yes
Source directory:  /home/free/Share/dvdisaster-0.70.4/tools
Installation prefix:  /usr/local
Binary directory:  /usr/local/bin

Looking for includes and libraries:
Checking for bzlib.h: no
bzlib.h not found.
Please specify the include file location using the following option:
--bz2-includes=DIR

The above output describes a problem doing ./configure
in the tools directory. Please cd into that directory
and ./configure it manually.

Kdyz zadam ./configure z adresare tools, skonci to stejnou hlaskou.
Dekuji Jupin
Miroslav Cyroň
Newbie
*

Karma: 1
: 283


« #1 : December 26, 2007, 15:16:47 »

lib64bzip2_1-devel (libbzip2_1-devel).
Guest
« #2 : December 29, 2007, 20:31:18 »

Dekuji, zase jsem se posunul. Ale jeste neni konec trampotam:
Configuration is complete.
Type 'make show' to verify the settings,
or enter 'make' to start the build immediately.

[free@freecomp dvdisaster-0.70.4]$ make
libpvm [pid10526] /var/run/pvm3/pvmd.500: No such file or directory
libpvm [pid10526] /var/run/pvm3/pvmd.500: No such file or directory
libpvm [pid10526] /var/run/pvm3/pvmd.500: No such file or directory
make: *** pvmd not responding (PvmSysErr).  Stop.
libpvm [pid10526] /var/run/pvm3/pvmd.500: No such file or directory

prestoze mam libpvm-devel-3.4.5. nainstalovan. Ale adresar /var/run/pvm3 je opravdu prazdny.
co mam spatne tentokrat?
Dekuji Jupin
Hobil
Hero Member
*****

Karma: 58
: 4 006


« #3 : December 29, 2007, 22:51:19 »

ze by to vyzadovalo balicek pvm?
Parallel Virtual Machine (PVM)​

Benzínem se nemá hasit ohniště
teď už je to jedno, ale pro příště... (K.P.)
Guest
« #4 : December 30, 2007, 10:56:58 »

Dekuji za tip, ale uz pri reseni problemu s ./configure jsem instaloval:
pvm-3.4.5.
pvmgmake-0.7.
pvm-examples-3.4.5.
libpvm-devel-3.4.5.

:-(
Jupin
Jiří_Hlinka
Newbie
*

Karma: 0
: 311


« #5 : December 30, 2007, 11:44:41 »

prohledejte disk a podívejte se po souborech které nemůže najít (pravděpodobně tam budou, když máte nainstalované balíčky pvm) - kdyžtak se pdívejte do RPM balíčků pvm (abyste zjistil kam se co instaluje). Až je najdete, tak spusťte buď ./configure s parametrem udávajícím cestu k pvm (pokud takový parametr existuje), nebo nalinkujte reálné umístění pvm na to, které očekává dvdisaster.
Hobil
Hero Member
*****

Karma: 58
: 4 006


« #6 : May 12, 2008, 05:41:30 »

Na ML 2008.0 32bit je funkční rpm balíček pro RedHat 4. Kompilace zřejmě není nutná, nicméně kdyby kupříkladu pan Cyroň vytvořil nativní balíčky...
H.
EDIT:
ještě odkaz: http://ftp.belnet.be/packages/dries.ulyssis.org/redhat/el4/en/x86_64/RPMS.dries/dvdisaster-0.70.4-1.el4.rf.x86_64.rpm

Benzínem se nemá hasit ohniště
teď už je to jedno, ale pro příště... (K.P.)
Guest
« #7 : May 12, 2008, 12:31:20 »

Některé knihovny *-devel je potřeba instalovat 32bit-ové

Já mám zkompilovaný dvdisaster a funguje perfektně.
joelp
Full Member
***

Karma: 0
: 180



« #8 : May 12, 2008, 12:31:48 »

Některé knihovny *-devel je potřeba instalovat 32bit-ové

Já mám zkompilovaný dvdisaster a funguje perfektně.
: [1]
   |   
 
: